
Base Distribution - Story # 7922

Status: Resolved Priority: Should have
Author: Daniel Poetzinger Category:
Created: 2010-05-26 Assigned To:
Updated: 2011-05-05 Due date:
Subject: As Magarethe I want to delete pages
Description

"trash" icon shows a confirmation in a "flyout dialog" 
  - after confirmation it just deletes current page and reloads (shows next useful page)

Subtasks:
Task # 10375: Make sure the user is redirected to the parent page. Resolved
Related issues:
related to TYPO3.Neos - Task # 8691: Add a new menu entry for deleting pages Resolved 2010-07-06
related to TYPO3.Neos - Task # 8692: Refactor ContentDialog to handle differe... Resolved 2010-07-06
related to TYPO3.Neos - Task # 8693: Create Server-Side Service to delete con... Resolved 2010-07-06
related to TYPO3.Neos - Task # 8688: Instead of OK/Cancel buttons, use Commit? Resolved 2010-07-06
related to TYPO3.Neos - Task # 8696: Create a Section-Content Element Closed 2010-07-06

History
#1 - 2010-07-03 23:30 - Daniel Poetzinger
- Subject changed from As a Editor I want to edit content on the website using a popup editor to As a Klaus und Magarethe I want to delete pages

#2 - 2010-07-03 23:41 - Jens Hoffmann
- File T35ui-Content-Latest-Unbranded-Delete-Page.pdf added

#3 - 2010-07-04 00:25 - Daniel Poetzinger
- Subject changed from As a Klaus und Magarethe I want to delete pages to As Magarethe I want to delete pages

#4 - 2010-07-09 13:50 - Robert Lemke
- Project changed from 1204 to Core Team

#5 - 2010-07-09 13:51 - Robert Lemke
- Target version set to 593

#6 - 2010-08-20 12:16 - Robert Lemke
- Target version changed from 593 to 628

Postponed to Sprint 4

#7 - 2010-10-15 10:58 - Karsten Dambekalns
- Status changed from New to Accepted
- % Done changed from 0 to 80

This works, but the redirect to the parent page is missing.
#8 - 2010-10-21 11:04 - Robert Lemke
- Target version changed from 628 to 711

#9 - 2010-11-24 13:00 - Robert Lemke
- Status changed from Accepted to Resolved

#10 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (711)

Files
T35ui-Content-Latest-Unbranded-Delete-Page.pdf 179 kB 2010-07-03 Jens Hoffmann
